Subject: I-D draft-petersson-forwarded-for-01.txt

From: Andreas Petersson <[email-masked]>
Date: Wed, 5 Oct 2011 12:33:38 +0200

Hi.

The draft for the forwarded-for is finally updated. The main
revision is the extension of scope for the draft by adding a 
parametrized list.

http://www.ietf.org/id/draft-petersson-forwarded-for-01.txt

Please comment.

Best regards,
 Andreas Petersson, 
 Opera Software

---

From: "Poul-Henning Kamp" <[email-masked]>
Date: Wed, 05 Oct 2011 10:38:42 +0000

>http://www.ietf.org/id/draft-petersson-forwarded-for-01.txt

]       proto-kv   = "proto=" ( "http" | "https" )

Given Speedy, Websockets and other such experiments, shouldn't this
allow any protocol-name ?

-- 
Poul-Henning Kamp       | UNIX since Zilog Zeus 3.20
[email-masked]         | TCP/IP since RFC 956
FreeBSD committer       | BSD since 4.3-tahoe    
Never attribute to malice what can adequately be explained by incompetence.

---

From: Andreas Petersson <[email-masked]>
Date: Wed, 05 Oct 2011 20:12:13 +0200

> allow any protocol-name ?

Yes, I guess that sounds quite reasonable. But will every protocol
always only have one unique name, that everyone would use, without need
for discussion?

Another, perhaps a non-issue, would be name changes (somewhat like
jabber vs. xmpp or yp vs. nis).

/Andreas Petersson

---

From: "Poul-Henning Kamp" <[email-masked]>
Date: Wed, 05 Oct 2011 20:03:21 +0000

>always only have one unique name, that everyone would use, without need

We're not here to solve _all_ the worlds problems :-)

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 06 Oct 2011 16:21:40 +0000

> jabber vs. xmpp or yp vs. nis).

Maybe establish a (lightweight!) registry? Or is there one already?

-- 
Mark Nottingham
http://www.mnot.net/

---

From: "Poul-Henning Kamp" <[email-masked]>
Date: Thu, 06 Oct 2011 23:19:13 +0000

In message <[email-masked]>, Mark Nottingham wr
>Maybe establish a (lightweight!) registry? Or is there one already?

As in:

]       proto-kv   = "proto=" ( "http" | "https" | x-token )
]	x-token	   = "X-" node

?

---

From: "Thomson, Martin" <[email-masked]>
Date: Fri, 7 Oct 2011 07:44:44 +0800

> ]       proto-kv   = "proto=" ( "http" | "https" | x-token )

Very funny.  Drop the x-.

Incidentally, it's a '/' in ABNF, not '|'.

And those names are awful.  'kv' and 'kv-v' mean nothing outside of their definition.  How about forwarded-element for kv-v and forwarded-value for kv?

---

From: "Poul-Henning Kamp" <[email-masked]>
Date: Thu, 06 Oct 2011 23:52:45 +0000

In message <[email-masked]>
, "Thomson, Martin" writes:
>> ]       proto-kv   =3D "proto=3D" ( "http" | "https" | x-token )
>> ]	x-token	   =3D "X-" node
>
>Very funny.  Drop the x-.

No, the "X-" was intentionally put there to match similar extensibility
in for instance HTTP-headers.

---

From: "Thomson, Martin" <[email-masked]>
Date: Fri, 7 Oct 2011 08:01:50 +0800

On 2011-10-07 at 10:52:45, Poul-Henning Kamp wrote:
> No, the "X-" was intentionally put there to match similar 
> extensibility in for instance HTTP-headers.

Why waste the bytes?  Anything other than "http" or "https" can be recognized as an "extension" without some arbitrary 2 octet prefix.

Or were you looking for a rerun of the "X-" spat?

---

From: "Thomson, Martin" <[email-masked]>
Date: Fri, 7 Oct 2011 10:10:23 +0800

On 2011-10-07 at 11:01:50, Thomson, Martin wrote:
> Why waste the bytes?  Anything other than "http" or "https" can be 
> recognized as an "extension" without some arbitrary 2 octet prefix.
> 

I was just informed that you might not have read this:
	http://tools.ietf.org/html/draft-saintandre-xdash

It might explain my reaction, for which I apologize.

---

From: Andreas Petersson <[email-masked]>
Date: Fri, 7 Oct 2011 11:37:37 +0200

On Fri, 7 Oct 2011 07:44:44 +0800

> > ]       proto-kv   = "proto=" ( "http" | "https" | x-token )

I don't see how this helps, it will still be a mess.

> Incidentally, it's a '/' in ABNF, not '|'.

Yes? But 2616 doesn't use that, so I think it looks best to have
section 2.1 of 2616 as reference for the BNF format. I.e. to be able to
use #-notation without redefining it, or referencing to section 1.2.1
of draft-ietf-httpbis-p1-messaging-16.

> And those names are awful.  'kv' and 'kv-v' mean nothing outside of their definition.  How about forwarded-element for kv-v and forwarded-value for kv?

Sure, that's reasonable.

 /Andreas Petersson

---

From: Andreas Petersson <[email-masked]>
Date: Sat, 08 Oct 2011 16:00:51 +0200

> Maybe establish a (lightweight!) registry? Or is there one already?

How about using the URI part "scheme name" ( BCP35,
http://www.iana.org/assignments/uri-schemes.html ) ?

/Andreas